org.apache.cassandra.cql3.selection

## Class Selectable.WithFieldSelection

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable
  - - org.apache.cassandra.cql3.selection.Selectable.WithFieldSelection

Enclosing class:
  Selectable

    public static class Selectable.WithFieldSelection
    extends Selectable

### Nested Class Summary

Nested Classes
`static class` `Selectable.WithFieldSelection.Raw`

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.selection.Selectable

`Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WritetimeOrTTL`

### Field Summary

Fields
`ColumnIdentifier` `field`
`Selectable` `selected`

### Constructor Summary

Constructors
Constructor and Description
`WithFieldSelection(Selectable selected, ColumnIdentifier field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Selector.Factory` `newSelectorFactory(CFMetaData cfm, java.util.List<ColumnDefinition> defs)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.cql3.selection.Selectable

`addAndGetIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### selected

    public final Selectable selected

#### field

    public final ColumnIdentifier field

### Constructor Detail

#### WithFieldSelection

    public WithFieldSelection(Selectable selected,
                              ColumnIdentifier field)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### newSelectorFactory

    public Selector.Factory newSelectorFactory(CFMetaData cfm,
                                               java.util.List<ColumnDefinition> defs)
                                        throws InvalidRequestException

Specified by:
  `newSelectorFactory` in class `Selectable`
Throws:
  `InvalidRequestException`